[med-svn] [prottest] 02/05: Adapt better to libmtj-java
Andreas Tille
tille at debian.org
Wed May 11 15:45:22 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository prottest.
commit b8509f61848ed183446ac2705b114fb279e2b665
Author: Andreas Tille <tille at debian.org>
Date: Wed May 11 12:56:56 2016 +0200
Adapt better to libmtj-java
---
debian/bin/runProtTestHPC | 8 ++++++--
debian/changelog | 6 ++++++
debian/control | 2 +-
3 files changed, 13 insertions(+), 3 deletions(-)
diff --git a/debian/bin/runProtTestHPC b/debian/bin/runProtTestHPC
index 905e829..1209698 100755
--- a/debian/bin/runProtTestHPC
+++ b/debian/bin/runProtTestHPC
@@ -1,5 +1,9 @@
#!/bin/sh
-export MPJ_HOME=$PWD/mpj
+if [ $# -lt 1 ] ; then
+ echo "Usage: $0 <# of cores> <datafiles>"
+ exit 1
+fi
+
export NP=$1
shift
-$MPJ_HOME/bin/mpjrun.sh -dev niodev -wdir $PWD/ -np $NP -jar prottest-3.4.jar $*
+mpjrun -dev niodev -wdir $PWD/ -np $NP -jar /usr/share/java/prottest.jar $*
diff --git a/debian/changelog b/debian/changelog
index 9c475cb..6226e9a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+prottest (3.4.2+dfsg-2) UNRELEASED; urgency=medium
+
+ * Adapt to libmpj-java settings
+
+ -- Andreas Tille <tille at debian.org> Wed, 11 May 2016 12:55:56 +0200
+
prottest (3.4.2+dfsg-1) unstable; urgency=medium
* New upstream version
diff --git a/debian/control b/debian/control
index 5dd7b7d..31c479e 100644
--- a/debian/control
+++ b/debian/control
@@ -9,7 +9,7 @@ Build-Depends: debhelper (>= 9),
ant,
alter-sequence-alignment,
libbetter-appframework-java,
- libmpj-java,
+ libmpj-java (>= 0.44+dfsg-2),
libpal-java
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/prottest.git
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/prottest.git
More information about the debian-med-commit
mailing list